## org.gjt.sp.jedit
Class PerspectiveManager

    java.lang.Object
      org.gjt.sp.jedit.PerspectiveManager

public class PerspectiveManager
extends java.lang.Object

Manages persistence of open buffers and views across jEdit sessions.

Since:
  jEdit 4.2pre1
Version:
  $Id: PerspectiveManager.java,v 1.12 2004/08/17 06:37:36 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`PerspectiveManager()`

Method Summary
`static boolean` `isPerspectiveDirty()` We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.
`static View` `loadPerspective(boolean restoreFiles)`
`static void` `savePerspective(boolean autosave)`
`static void` `setPerspectiveDirty(boolean dirty)` We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerspectiveManager

    public PerspectiveManager()

Method Detail

### isPerspectiveDirty

    public static boolean isPerspectiveDirty()

  We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.

  Since:
    jEdit 4.2pre13

### setPerspectiveDirty

    public static void setPerspectiveDirty(boolean dirty)

  We only autosave the perspective if it has changed, to avoid spinning up the disk on laptops.

  Since:
    jEdit 4.2pre13

### loadPerspective

    public static View loadPerspective(boolean restoreFiles)

### savePerspective

    public static void savePerspective(boolean autosave)